std::__atomic_flag_base Struct Reference
Atomics
Inheritance diagram for std::__atomic_flag_base:
[legend]

## Public Attributes

unsigned char | _M_i

## Detailed Description

Base type for atomic_flag.

Base type is POD with data, allowing atomic_flag to derive from it and meet the standard layout type requirement. In addition to compatibilty with a C interface, this allows different implementations of atomic_flag to use the same atomic operation functions, via a standard conversion to the __atomic_flag_base argument.

Definition at line 255 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h